<div id="header"><a href="/doc">Documentation</a> / User management</div>

All actions related to user accounts should be performed on the NETCO User Manager page, accessible through the NETCO menu. Please refrain from using Grafana's Server Admin page.

The main view under User management displays all accounts within the system. This view can be used to create, edit or delete accounts:

<img src="img/usage_user_management_list.png" style="width: 800px; object-fit: contain;" alt="User list"/>

NOTE: When creating a new user, no roles or password are initially set. The administrator should select the 'Details' button to assign an initial password and set roles for the user.

<img src="img/usage_user_management_user.png" style="width: 800px; object-fit: contain;" alt="User edit"/>

### User Roles

- **Grafana roles:** To allow a user to access a monitoring page, you must select one of the Grafana roles.

- **Design roles:** To allow a user to open and use the Design page, you must select one of the Design roles.

- **Auth roles:** Auth roles allow the user to view and edit the User list and user settings.

# Changing your own password

The top right corner of the page includes a drop down menu with the option "Change password":

![Dropdown menu](img/usage_user_management_dropdown.png)

This will prompt for the password twice to avoid locking oneself out in the event of a typing error:

<img src="img/usage_user_management_own_password_change.png" style="width: 816px; object-fit: contain;" alt="Own password change"/>

Once the new password has been entered in both fields, hit **Save**.

# Changing the password on a different account

Open Details on the account to set the password for. Click on the password field under the "New Password" headline.

<img src="img/usage_user_management_password_change.png" style="width: 394px; object-fit: contain;" alt="Password change for a different account"/>

Enter the new password, click **Crypt**, and finally click **Save**.
